$(function() {
    if( window.showdebug !== true) return;
    var $ul = $("<ul/>");
    $ul.css("font-size", "12px");
    var params = {
        frame: "?",
        fps: "?"
    }

    $("<div/>").css({
        "position": "absolute",
        "top":    "10px",
        "left":   "10px",
        "width":  "150px",
        "height": "500px",
        "border": "3px solid gray",
        "background-color": "#EEFFFF",
        "border-radius": "5px"
    }).appendTo($("body")).append($ul);
    setInterval(function() {
        $.getJSON("/stereo/fps.json", function (data) {
            params.fps = data.fps+0.5|0;
        })
        $.getJSON("/stereo/video.json", function(data) {
            params.frame = "#"+data.frame_count
        })
    }, 500);
    setInterval(function() {
        $ul.find("li").remove();
        keys = []
        for (var key in params) keys.push(key);
        keys.sort()
        for(var i in keys) {
            var key = keys[i];
            var $li = $("<li/>").html("<b>"+key+"</b>: "+ params[key]);
            $li.appendTo($ul);

        }
    }, 100);
})
